Bug 63431 - daylight savings time problem in /bin/date -d
daylight savings time problem in /bin/date -d
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: sh-utils (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-13 14:28 EDT by zach
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 16:25:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zach 2002-04-13 14:28:17 EDT
It is the week of the following daylight savings time.  Saturday April 6 had 25
hours.

/bin/date -d "last saturday"
Fri Apr  5 23:00:00 PST 2002

The reported date is off by one hour.

Version-Release number of selected component (if applicable):
sh-utils-2.0.11-5

How reproducible:
Always

Steps to Reproduce:
1.Computer's clock should be set to Apr 8-13 for the case above
2.
3.
	

Additional info:
Comment 1 Bernhard Rosenkraenzer 2002-08-29 15:12:23 EDT
This behavior is consistant with what other OSes (tried FreeBSD, OpenBSD and
NetBSD) do, so it's probably adhering to standards.
Comment 2 Bill Nottingham 2006-08-04 16:25:07 EDT
Red Hat Linux and Red Hat Powertools are currently no longer supported by Red
Hat, Inc. In an effort to clean up bugzilla, we are closing all bugs in MODIFIED
state for these products.

However, we do want to make sure that nothing important slips through the
cracks. If, in fact, these issues are not resolved in a current Fedora Core
Release (such as Fedora Core 5), please open a new issues stating so. Thanks.

Note You need to log in before you can comment on or make changes to this bug.